
/**
 * Title:        MenuApplet2L<p>
 * Description:  <p>
 * Copyright:    Copyright (c) Aldo Giove 2002<p>
 * Company:      <p>
 * @author Aldo Giove (a.giove@mclink.it)
 * @version 1.2
 */

package menuapplet2l;

import java.awt.GridBagConstraints;
import java.awt.Insets;

/*
  Classe derivata da GridBagConstraints, creata perche' nel GridBagConstraints
  del Java 1.1 *non* c'e' un constructor con tutti i parametri.
*/

public class GBConstraints extends GridBagConstraints {

  public GBConstraints(int gx,
                       int gy,
                       int gw,
                       int gh,
                       double wx,
                       double wy,
                       int anch,
                       int fil,
                       Insets inse,
                       int ipx,
                       int ipy)
  {
    GridBagConstraints gbc = this;
    gbc.gridx = gx;
    gbc.gridy = gy;
    gbc.gridwidth = gw;
    gbc.gridheight = gh;
    gbc.weightx = wx;
    gbc.weighty = wy;
    gbc.anchor = anch;
    gbc.fill = fil;
    gbc.insets = inse;
    gbc.ipadx = ipx;
    gbc.ipady = ipy;
  }

  public GBConstraints(int gx,
                       int gy,
                       int gw,
                       int gh,
                       double wx,
                       double wy)
  {
    GridBagConstraints gbc = this;
    gbc.gridx = gx;
    gbc.gridy = gy;
    gbc.gridwidth = gw;
    gbc.gridheight = gh;
    gbc.weightx = wx;
    gbc.weighty = wy;
    gbc.fill = GridBagConstraints.BOTH;
  }
}
